Download it now!
Bug 100934 - Custom properties: problem when I edit a text properties
Summary: Custom properties: problem when I edit a text properties
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: File-Properties
  Show dependency treegraph
 
Reported: 2016-07-15 14:04 UTC by pietro.pangallo
Modified: 2019-03-02 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pietro.pangallo 2016-07-15 14:04:31 UTC
Steps:
- Open a new document;
- Go on File>Properties>Custom Properties [tab];
- Click "Add" button;
- Insert: Name:"Any name", Type:"Text", Value:"Any text";
- Press Ok;
- Go on File>Properties>Custom Properties [tab];
- Change Type:"Text" with "Date";
- Press Ok;

Current behavior:
You will see an error dialog. If you press Ok the property is changed to text and the value is setted to date. If you press Cancel the propertie dialog box is freezed, you can't change tab and press OK.

Expected behavior:
The change is made correctly.

Affected versions:

Version: 5.3.0.0.alpha0+
Build ID: 54f2a4184d1296814e64cfeab1d06ae90d002357
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-08_01:43:14
Locale: it-IT (it_IT.UTF-8); Calc: group
OS: openSUSE Leap 42.1 (x86_64)

Versione: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
OS: openSUSE Leap 42.1 (x86_64)

Versione: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
Thread CPU: 2; Versione SO: Linux 4.1; Resa interfaccia: predefinito; 
Versione locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Versione: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Versione locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)
Comment 1 Regina Henschel 2016-07-16 12:23:45 UTC
The current behavior leaves the user in a state, where he does not know, what to do, because the user sees a date in the Value field, which looks right for him and no other action than Cancel dialog will work.

Currently you have to clear the Value field _before_ you change the Type field. That is not intuitive.

I see the error in Version: 5.3.0.0.alpha0+
Build ID: b0d96a82a4f6a0832d03d185f4a53db669adcc99
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-07-12_09:25:31
Locale: de-DE (de_DE); Calc: group
Comment 2 QA Administrators 2017-09-01 11:17:02 UTC Comment hidden (obsolete)
Comment 3 benico 2018-01-27 12:31:20 UTC
Confirm unresponsive LibreOffice when using Doc Custom-Properties.

High CPU and unresponsive LibreOffice Writer 
when using the Custom-Properties Fields-Edit-Dialogue-Box:
all is fine until pressing the Shift key.

Doing only one or two characters is fine but inputting a sentence result in having to force-close (kill) LO.

When copy and pasting - everything is fine.
When using only lower case or even with Caps Lock on - all is fine.
As soon as the Shift-Key is used the dialogue box freezes and the buttons [OK] [Cancel] [Close] "flikker".

(same problem with 5.4.4.2)
ProductName=LibreOffice
Version=6.0.0.2
BuildID=06b618bb6f431d27fd2def25aa19c833e29b61cd
URL=https://crashreport.libreoffice.org/submit/
AdapterDeviceId=Mesa DRI Intel(R) Ironlake Mobile 
AdapterVendorId=Intel Open Source Technology Center
UseOpenGL=false
Language=en-US
ShutDown=true
Comment 4 QA Administrators 2019-03-02 03:51:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug